package com.zhongzheng.modules.exam.service;

import com.zhongzheng.modules.exam.domain.ExamApplySite;
import com.zhongzheng.modules.exam.vo.ExamApplySiteVo;
import com.zhongzheng.modules.exam.bo.ExamApplySiteQueryBo;
import com.zhongzheng.modules.exam.bo.ExamApplySiteAddBo;
import com.zhongzheng.modules.exam.bo.ExamApplySiteEditBo;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.Collection;
import java.util.List;

/**
 * 考试安排地点Service接口
 *
 * @author ruoyi
 * @date 2021-12-07
 */
public interface IExamApplySiteService extends IService<ExamApplySite> {
	/**
	 * 查询单个
	 * @return
	 */
	ExamApplySiteVo queryById(Long id);

	/**
	 * 查询列表
	 */
	List<ExamApplySiteVo> queryList(ExamApplySiteQueryBo bo);

	/**
	 * 根据新增业务对象插入考试安排地点
	 * @param bo 考试安排地点新增业务对象
	 * @return
	 */
	Boolean insertByAddBo(ExamApplySiteAddBo bo);

	/**
	 * 根据编辑业务对象修改考试安排地点
	 * @param bo 考试安排地点编辑业务对象
	 * @return
	 */
	Boolean updateByEditBo(ExamApplySiteEditBo bo);

	/**
	 * 校验并删除数据
	 * @param ids 主键集合
	 * @param isValid 是否校验,true-删除前校验,false-不校验
	 * @return
	 */
	Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);

    boolean addSite(List<ExamApplySiteAddBo> bo);
}
